<?php

namespace App\Enums;

enum AuditStockStatus: string
{
    case INCREASED = 'Menambah';
    case DECREASED = 'Mengurangi';
    case UPDATED = 'Mengubah';

    public function color()
    {
        return match ($this) {
            self::INCREASED => 'emerald',
            self::DECREASED => 'red',
            self::UPDATED => 'yellow',
        };
    }
}
